/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __SAMPLE_GRAPHICS_INL
#define __SAMPLE_GRAPHICS_INL

namespace magnum { namespace sample {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Vector3<float>& GraphicsView::getTranslation() const {
	return m_Gui->getTranslation();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Point<float>& GraphicsView::getRotation() const {
	return m_Gui->getRotation();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Point<float>& GraphicsView::getMouse() const {
	return m_Gui->getMouse();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Transform3<float>& GraphicsView::getTransform() const {
	return m_Gui->getTransform();
}

}; };

#endif
