/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __SAMPLE_MODELS_H
#define __SAMPLE_MODELS_H

#include "magnum.h"

namespace magnum { namespace sample {
using magnum::graphics3d::Model;
using magnum::graphics3d::MeshList;

Model* createTetra();
Model* create3ds();
Model* createMd2();
Model* createTrilist();

void setBumpMaterial(MeshList* meshes);
void setEnvMaterial(MeshList* meshes);
void setEnvBumpMaterial(MeshList* meshes);
void setTexEnvBumpMaterial(MeshList* meshes);
void setTextureMaterial(MeshList* meshes);

}; };

#endif
